Name:          python-geopy
Version:       2.0.0
Release:       1mamba
Summary:       Python Geocoding Toolbox
Group:         System/Libraries
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://github.com/geopy/geopy
Source:        https://pypi.debian.net/geopy/geopy-%{version}.tar.gz
License:       MIT
## AUTOBUILDREQ-BEGIN
BuildRequires: libpython-devel
## AUTOBUILDREQ-END
BuildRequires: libpython3-devel >= 3.7.4
Requires:      python >= %python_version
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
%{summary}.

%if "%{?with_pyver}"
%pyver_package
%endif

%prep
%setup -q -n geopy-%{version}

%build
export LC_ALL=en_US.UTF-8
CFLAGS="%{optflags}" %{__python} setup.py build

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
export LC_ALL=en_US.UTF-8
%{__python} setup.py install \
   -O1 --skip-build \
   --root="%{buildroot}" \
   --install-headers=%{_includedir}/python \
   --install-lib=%{python_sitearch} \
   --record=%{name}.filelist

sed -i "s,.*/man/.*,&.gz," %{name}.filelist

%files %{?pyappend} -f %{name}.filelist
%defattr(-,root,root)
%doc LICENSE


%changelog
* Sun Sep 06 2020 Automatic Build System <autodist@mambasoft.it> 2.0.0-1mamba
- automatic version update by autodist

* Tue May 12 2020 Automatic Build System <autodist@mambasoft.it> 1.22.0-1mamba
- automatic version update by autodist

* Mon Feb 03 2020 Automatic Build System <autodist@mambasoft.it> 1.21.0-1mamba
- automatic version update by autodist

* Fri Aug 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.20.0-2mamba
- rebuilt with python3 3.7.4

* Fri Aug 09 2019 Silvan Calarco <silvan.calarco@mambasoft.it> 1.20.0-1mamba
- update to 1.20.0

* Tue Jul 28 2015 Silvan Calarco <silvan.calarco@mambasoft.it> 1.10.0-1mamba
- package created using the webbuild interface
